Get A/B campaign summary
GET /campaigns/{CampaignID}/view_ab_summary.{Format}
Retrieves a summary of results of a specific sent A/B campaign. The summary includes separate results for campaign versions A and B information, and information such as the number of recipients, opens, clicks, bounces, unsubscribes, forwards, and so on, to date.
Request
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| CampaignID | path | string | true | The ID of the A/B campaign that you want to get a summary of. |
| Format | path | string | true | The supported file format for getting a response.Possible values: json and xml. |
| apikey | query | string | true | The API key of your account. |
Response
| Status | Description | Headers | Schema |
|---|---|---|---|
| 200 OK | The request is successful. | Content-Type/jsonAccept/json | N/A |
-
Code- the response code. This is0if successful. -
Error- the response error message. This isnullif successful. -
Context- an object that contains all the following information for the A/B split test campaign:-
CampaignID- the ID of the winning campaign version. -
A- an object that contains the following information for campaign A:-
CampaignID- the ID of campaign A. -
ABVersion- the version of the campaign. This is0for campaign A and1for campaign B. -
CampaignName- the name of the campaign. -
CampaignSubject- the subject of the campaign. -
MailingLists- a list that contains the details of email lists and any segments that that campaign is sent to:-
Campaign- this isnullfor this case. -
ID- the ID of the email list. -
Name- the name of the email list. -
ActiveMemberCount- the number of active members in the email list. -
BouncedMemberCount- the number of bounced emails in the email list. -
RemovedMemberCount- the number of members removed from the email list. -
UnsubscribedMemberCount- the number of emails that unsubscribed from the email list. -
Status- status of the email list. For created, this is0, for imported, this is1, for importing, this is2, and for deleted, this is3. -
CustomFieldsDefinition- an array containing the parameters of custom fields in the email list. The parameters are:-
ID- the ID of the custom field. -
Name- the name of the custom field -
Context- the context of the custom field. This isnullif the field type is notSingleSelectDropDown. -
IsRequired- this istrueif the custom field is required andfalseif it is not. -
Type- the data type of the custom field. Possible values:0for text,1for number,2for dateTime,3for SingleSelectDropDown, and5for checkbox.
-
-
CreatedBy- the IP address used to create the email list. -
CreatedOn- the date-time the email list was created. -
UpdatedBy- the IP address used to update the email list. -
UpdatedOn- the date-time the requested email list was updated. -
ImportOperation- an object that contains the details of the latest import operation performed in the requested email list. This is blank if there was no import done.-
ID- the ID of the import operation. -
DataHash- a globally unique identifier (GUID) for the import operation -
Mappings- the data mappings used for the specific import operation. -
EmailNotify- this isnullif the import operation notification email was not selected to be sent -
CreatedOn- the date-time when the import operation was created. -
StartedOn- the date-time when the import operation was stated. -
CompletedOn- the date-time when the import operation was completed. -
TotalInserted- the total number of inserted emails. -
TotalUpdated- the total number of updated emails. -
TotalUnsubscribed- the total number of unsubscribed emails. -
TotalInvalid- the total number of invalid emails. -
TotalIgnored- the total number of ignored emails. -
TotalDuplicate- the total number of duplicate emails. -
TotalMembers- the total number of members that were selected to be imported. -
Message- the message of the import operation. This isnullif successful. -
Success- this istrueif successful. -
SkipNewMembers- this isfalseif the skip new members option was not selected before the import operation began.
-
-
Segment- a list of segments containing all the following information for each segment. This isnullif the campaign was not sent to a email list segment.-
ID- the ID of the segment. -
Name- the name of the segment. -
MatchType- specifies how subscribers are returned by your segment based on matching criteria. Possible values are:-
0- for All. Returns subscribers that match all the given criteria. -
1- for Any. Returns subscribers that match any of the given criteria.
-
-
Criteria- contains a list with information for each selected criterion selected for the segment. -
CreatedBy- the IP address used to create the segment. -
CreatedOn- the date-time the requested segment was created. -
UpdatedBy- the IP address used to update the segment. -
UpdatedOn- the date-time the segment was updated. -
FetchType- the selected fetch type for the selected segment criteria. Possible values are:-
0- for all segment criteria. -
1- for the top segment criteria. -
2- for the top percent segment criteria.
-
-
Description- contains a string representation of all the selected filters,MatchTypecriteria, andFetchTypecriteria.
-
-
-
CampaignDeliveredOn- the date-time the campaign was delivered. -
To- the date-time the measurement ended. -
From- the date-time the measurement started. -
TotalOpens- the total number of email opens. -
UniqueOpens- the total number of unique email opens. -
TotalBounces- the total number of email bounces. -
TotalComplaints- the total number of complaints. -
TotalForwards- the total number of email forwards for the campaign using the Forward to a friend personalization tag. -
UniqueForwards- the total number of unique forwards for the campaign using the Forward to a friend personalization tag. -
TotalUnsubscribes- the total number of unsubscribed recipients for the campaign. -
TotalLinkClicks- the total number of link clicks. -
UniqueLinkClicks- the total number of unique link clicks. -
Sent- the total number of campaign emails sent.
-
-